# testsuite doesn't work yet
%global tests_enabled 0

Summary: System and process monitoring utilities
Name: procps-ng
Version: 3.3.2
Release: 2%{?dist}
License: GPLv2+ and LGPLv2+
Group: Applications/System
URL: http://gitorious.org/procps

# git clone git://gitorious.org/procps/procps.git
# cd procps && git archive --format=tar --prefix="procps-ng-3.3.2/" v3.3.2 | xz > procps-ng-3.3.2.tar.xz
Source: %{name}-%{version}.tar.xz

Patch0: %{name}-3.3.2-fsf-address.patch
# The following patch can't be applied as is, but as it has no effect
# on the target binaries, it doesn't necessarily need to be applied.
# It's included for clarification purposes only.
# wget http://gitorious.org/~kerolasa/procps/sami-procps-ng/commit/240ef79448b4926255fb9878b308d6a8355414b3?format=patch -O procps-ng-3.3.2-license.patch
Patch1: %{name}-3.3.2-license.patch

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: ncurses-devel
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel

%if %{tests_enabled}
BuildRequires: expect
%endif

Provides: procps = %{version}-%{release}
Obsoletes: procps < 3.2.9-1

# usrmove hack - will be removed once initscripts are fixed
Provides: /sbin/sysctl

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, pkill, pgrep,
snice, tload, top, uptime, vmstat, w, watch and pdwx. The ps command
displays a snapshot of running processes. The top command provides
a repetitive update of the statuses of running processes. The free
command displays the amounts of free and used memory on your
system. The skill command sends a terminate command (or another
specified signal) to a specified set of processes. The snice
command is used to change the scheduling priority of specified
processes. The tload command prints a graph of the current system
load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users
are logged on, and system load averages for the past one, five,
and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays
virtual memory statistics about processes, memory, paging, block
I/O, traps, and CPU activity. The pwdx command reports the current 
working directory of a process or processes.

%package devel
Summary:  System and process monitoring utilities
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: procps-devel = %{version}-%{release}
Obsoletes: procps-devel < 3.2.9-1

%description devel
System and process monitoring utilities development headers

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1

# The following patch can't be applied as is, but as it has no effect
# on the target binaries, it doesn't necessarily need to be applied.
# It's included for clarification purposes only.
#%%patch1 -p1

%build
./autogen.sh
./configure --prefix=/ \
            --bindir=%{_bindir} \
            --sbindir=%{_sbindir} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --includedir=%{_includedir} \
            --sysconfdir=%{_sysconfdir} \
            --docdir=/unwanted \
            --disable-static \
            --disable-w-from \
            --disable-kill \
            --disable-rpath


make CFLAGS="$RPM_OPT_FLAGS"


%if %{tests_enabled}
%check
make check
%endif


%install
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sysconfdir}/sysctl.d

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS BUGS COPYING COPYING.LIB FAQ NEWS README top/README.top TODO

%{_libdir}/libprocps.so.*
%{_libdir}/pkgconfig/libprocps.pc
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/sysctl.d
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_mandir}/man5/*

%exclude %{_libdir}/libprocps.la
%exclude %{_sysconfdir}/sysctl.conf
%exclude /unwanted/*

%files devel
%doc COPYING COPYING.LIB
%{_libdir}/libprocps.so
%{_includedir}/proc

%changelog
* Tue Mar 06 2012 Jaromir Capik <jcapik@redhat.com> - 3.3.2-2
- Fixing requires in the devel subpackage (missing %{?_isa} macro)
- License statement clarification (upstream patch referrenced in the spec header)

* Mon Feb 27 2012 Jaromir Capik <jcapik@redhat.com> - 3.3.2-1
- Initial version
